Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_UDP_Reliable_Sender Class Reference

`#include <RMCast_UDP_Reliable_Sender.h>`

Inheritance diagram for ACE_RMCast_UDP_Reliable_Sender:

[legend]
Collaboration diagram for ACE_RMCast_UDP_Reliable_Sender:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_UDP_Reliable_Sender (ACE_RMCast_Module *user_control)
| Constructor. More...
virtual | ~ACE_RMCast_UDP_Reliable_Sender (void)
| Destructor. More...
int | init (const ACE_INET_Addr &mcast_group)
| Open the UDP I/O module. More...
void | reactive_incoming_messages (ACE_Reactor *reactor)
| Use the reactor to handle incoming messages. More...
void | reactive_resends (ACE_Reactor *reactor, const ACE_Time_Value &period)
| Use the reactor to periodically resend messages. More...
int | has_data (void)
| Check if there is still some messages to send, return 0 if not. More...
int | has_members (void)
| Check if there are any members still connected. More...
## Private Attributes
ACE_RMCast_Module * | user_control_
| The application-level control module. More...
ACE_RMCast_Sequencer | sequencer_
| Assign sequence numbers. More...
ACE_RMCast_Retransmission | retransmission_
| The retransmission module. More...
ACE_RMCast_Singleton_Factory | factory_
| All the proxys give their messages to the retransmission module. More...
ACE_RMCast_IO_UDP | io_udp_
| Handle all the UDP I/O. More...
ACE_RMCast_Membership | membership_
| The membership module. More...
ACE_RMCast_Fragment | fragment_
| The fragmentation module. More...
ACE_RMCast_Fork | fork_
| Redirect control messages to the user supplied module. More...

## Constructor & Destructor Documentation

ACE_RMCast_UDP_Reliable_Sender::ACE_RMCast_UDP_Reliable_Sender | ( | ACE_RMCast_Module * | user_control | ) |

| Constructor.

ACE_RMCast_UDP_Reliable_Sender::~ACE_RMCast_UDP_Reliable_Sender | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACE_INLINE int ACE_RMCast_UDP_Reliable_Sender::has_data | ( | void |  | ) |

| Check if there is still some messages to send, return 0 if not.

ACE_INLINE int ACE_RMCast_UDP_Reliable_Sender::has_members | ( | void |  | ) |

| Check if there are any members still connected.

ACE_INLINE int ACE_RMCast_UDP_Reliable_Sender::init | ( | const ACE_INET_Addr & | mcast_group | ) |

| Open the UDP I/O module.

void ACE_RMCast_UDP_Reliable_Sender::reactive_incoming_messages | ( | ACE_Reactor * | reactor | ) |

| Use the reactor to handle incoming messages.

void ACE_RMCast_UDP_Reliable_Sender::reactive_resends | ( | ACE_Reactor * | reactor,
|  | const ACE_Time_Value & | period
| ) |

| Use the reactor to periodically resend messages.

## Member Data Documentation

ACE_RMCast_Singleton_Factory ACE_RMCast_UDP_Reliable_Sender::factory_`[private]`

| All the proxys give their messages to the retransmission module.

ACE_RMCast_Fork ACE_RMCast_UDP_Reliable_Sender::fork_`[private]`

| Redirect control messages to the user supplied module.

ACE_RMCast_Fragment ACE_RMCast_UDP_Reliable_Sender::fragment_`[private]`

| The fragmentation module.

ACE_RMCast_IO_UDP ACE_RMCast_UDP_Reliable_Sender::io_udp_`[private]`

| Handle all the UDP I/O.

ACE_RMCast_Membership ACE_RMCast_UDP_Reliable_Sender::membership_`[private]`

| The membership module.

ACE_RMCast_Retransmission ACE_RMCast_UDP_Reliable_Sender::retransmission_`[private]`

| The retransmission module.

ACE_RMCast_Sequencer ACE_RMCast_UDP_Reliable_Sender::sequencer_`[private]`

| Assign sequence numbers.

ACE_RMCast_Module* ACE_RMCast_UDP_Reliable_Sender::user_control_`[private]`

| The application-level control module.

The documentation for this class was generated from the following files:

- RMCast_UDP_Reliable_Sender.h
- RMCast_UDP_Reliable_Sender.cpp
- RMCast_UDP_Reliable_Sender.i